
/* ABOUT ME */
.intro__container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  min-height: 100vh;
  width: 100%;
  max-width: 900px;
  margin: 0 auto;
}

.intro__photo {
  padding: 1rem;
  width: 350px;
  max-height: auto;
  border: 2px solid var(--color-text-w);
  border-radius: 50%;
}

.intro__info {
  flex: 0 0 60%;
  flex-direction: column;
  padding: 1rem;
  margin: 20px;
}

.intro__title {
  font-size: 1.5rem;
}

.intro__description {
  font-size: 1rem;
  margin-block: 2rem;
  text-align: justify;
  line-height: 1.6;
}

.grid {
  display: grid;
  grid-template-columns: repeat(2,1fr);
  grid-template-rows: auto;
  gap: 1.5rem;
  max-width: 700px;
  margin: 0 auto;
}

.grid-item {
  background: linear-gradient(var(--color-primary), #a20d5f, var(--color-accent));
  color: var(--color-text-w);
  font-size: 1.2rem;
  font-weight: 700;
  padding: 1.5rem;
  text-align: center;
  border-radius: 15px;
  box-shadow: 2px 2px 7px #a20d5f;

  max-width: 150px;

}

.grid-item:hover {
  transform: translateY(-3px);
}

.link-certifikat {
  color: var(--color-highlight);
  /* zlatá */
  font-weight: bold;
  text-decoration: underline;
  transition: color 0.3s ease;
}

.link-certifikat:hover {
  color: var(--color-accent);
  /* třeba vínová */
}

/*MY PROJECTS */
.project {
  padding: 1rem;
  width: 100%;
  max-width: 900px;
  margin: 0 auto;
}

.project__title {
  margin-bottom: 30px;
  font-size: 2rem;
  font-weight: 800;
  color: var(--color-primary);
  text-transform: uppercase;
  text-align: center;
  text-shadow: 2px 2px 6px var(--color-secondary);
}

.project-group {
  color: var(--color-secondary);
  text-transform: uppercase;
  text-align: center;
  border-bottom: 2px solid var(--color-secondary);
  margin: 15px auto;
}

.projects__container {
  display: grid;
  grid-template-columns: 1fr;
  gap: 1rem;
}

.box {
  padding: 10px;
  border: 2px solid var(--color-primary);
  box-shadow: 2px 2px 8px #a20d5f;
  border-radius: 15px;
  flex: 1 1 0;
}

.box h3 {
  color: #a20d5f;
  font-size: 1.8rem;
  font-weight: 800;
  margin-bottom: 0.5rem;
  text-align: center;
}

.project__description {
  font-size: 1.1rem;
  font-weight: 300;
  text-align: justify;
  padding: 10px;
}

.project-image {
  width: 100%;
  height: auto;
  border-radius: 8px;
}

.project__link {
  color: var(--color-accent);
  font-size: 0.9rem;
  text-decoration: none;
  font-weight: 600;
}

/* CONTACT */
.contact {
  width: 100%;
  max-width: 600px;
  margin: 0 auto;
  padding: 1rem 0;
}

.contact__form {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  width: 300px;
  margin: 0 auto 20px;
  
  padding: 20px;
  border-radius: 15px;
}

.contact__title {
  font-size: 1.4rem;
  margin: 30px auto;
  color: var(--color-primary);
  text-transform: uppercase;
  text-align: center;
  text-shadow: 2px 2px 6px var(--color-secondary);
}

.contact__link {
  display: flex;
  justify-content: center;
  gap: 40px;
  margin: 10px auto 20px;
}

label {
  color: var(--color-primary);
  text-align: left;
  font-weight: 700;
}

input, textarea {
  font-size: 0.8rem;
  line-height: 1.6;
  border: 1px solid var(--color-accent);
  font-size: 1rem;
  border-radius: 8px;
  padding: 10px;
  box-shadow:
    3px 3px 6px var(--color-secondary),
    -3px -3px 6px var(--color-accent);
}

.form-message {
  margin-top: 1rem;
  padding: 0.8rem 1.2rem;
  border-radius: 6px;
  background: var(--color-secondary);
  color: var(--color-text-dk);
  font-weight: bold;
  text-align: center;
  transition: opacity 0.3s;
}